Subject: bug#12221: 24.2; shell completion can not handle multiple candidates

From: Leo <[email-masked]>
Date: Sat, 18 Aug 2012 10:31:04 +0800

1. Emacs -q
2. (setq completion-cycle-threshold 3)
3. M-x shell
4. fu <tab>

In OSX, the last step completes to `fuser' ignoring `funzip'. The
completion cannot cycle because of the extra ' ' inserted which
demonstrates one of the failures of completion-at-point as reported in
http://debbugs.gnu.org/11906.

Leo